﻿//**************************************************************************
//  Copyright (c) 2011 Igor Timurov, t051200@yandex.ru
//  All Rights Reserved.
//**************************************************************************

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SurfaceScanner
{
    public partial class GLForm : Form
    {
        public GLForm(float[] matrix, int width, int height, float scale)
        {
            InitializeComponent();
            gl_view.Init(matrix, width, height, scale);
            check_box_render.Checked = gl_view.bRender;
        }

        private void check_box_render_CheckedChanged(object sender, EventArgs e)
        {
            if (gl_view.bRender != check_box_render.Checked)
            {
                gl_view.bRender = check_box_render.Checked;
                gl_view.ReDraw();
                gl_view.BuildSurface();
            }
        }
    }
}
